package com.adamatomic.Mode
{
	import org.flixel.*;

	public class MenuState extends FlxState
	{				
		[Embed(source = "../../../data/water1.png")] public static var imgWater1:Class;
		[Embed(source = "../../../data/water2.png")] public static var imgWater2:Class;
		[Embed(source = "../../../data/water3.png")] public static var imgWater3:Class;		
		[Embed(source = "../../../data/rower.png")] public static var imgBoat:Class;		
		
		private var _bgs:Array;
		private var _boat:FlxSprite;
		
		private var _t:Number;
		private var _u:Number;
		private var _bgn:int;
		private var _boatn:int;
		private var _fading:Boolean;
		
		override public function create():void
		{
			_fading = false;
			_bgn = 0;
			_boatn = 0;
			_bgs = new Array();
			_t = 0;
			_u = 15;
			var s:FlxSprite;
			s = new FlxSprite(0, 0, imgWater1);
			_bgs.push(s);
			s.visible = true;
			this.add(s);
			s = new FlxSprite(0, 0, imgWater2);
			_bgs.push(s);
			s.visible = false;
			this.add(s);
			s = new FlxSprite(0, 0, imgWater3);
			_bgs.push(s);
			s.visible = false;
			this.add(s);
		
			_boat = new FlxSprite(10, 332);
			_boat.loadGraphic(imgBoat, false, false, 39);
			_boat.frame = 4;
			_boat.addAnimation("rowback", [3, 2, 1, 0, 4], 1, false);
			_boat.finished = true;
			this.add(_boat);
		
			
			
		}

		override public function update():void
		{
			_t += FlxG.elapsed;
			
			if (_t > 0.3)
			{
				_t = 0;
				_bgn = (_bgn + 1) % 3;
				switch(_bgn)
				{
					case 0:
					_bgs[0].visible = true;
					_bgs[1].visible = false;
					_bgs[2].visible = false;
					break;
					case 1:
					_bgs[0].visible = false;
					_bgs[1].visible = true;
					_bgs[2].visible = false;
					break;
					case 2:
					_bgs[0].visible = false;
					_bgs[1].visible = false;
					_bgs[2].visible = true;
					break;
				}
			}
			if (_boat.finished)
			{
				if (FlxG.keys.justPressed("LEFT"))
				{
					_boat.play("rowback", true);
					_boatn = _boat.frame;
				}
			}
			if (_boatn != _boat.frame)
			{
				_boatn = _boat.frame;
				if (_boatn == 1 || _boatn==0)
				{
					_boat.x += 14;					
					if (!_fading && _boat.x > FlxG.width)
					{
						_fading = true;
						FlxG.fade.start(0xff000000, 10, null, true);
					}
				}
			}
			
			super.update();
		}
		

	}
}
